// FTSFlipsideViewController.h
// FTSFlipsideViewController interface declaration
#import <UIKit/UIKit.h>

@class FTSFlipsideViewController; // forward class declaration

// protocol implemented by FTSMainViewController to dismiss flipside view
@protocol FTSFlipsideViewControllerDelegate <NSObject>
- (void)flipsideViewControllerDidFinish:
   (FTSFlipsideViewController *)controller;
@end // FTSFlipsideViewControllerDelegate protocol 

// public FTSFlipsideViewController interface
@interface FTSFlipsideViewController : UIViewController

// refers to FTSMainViewController
@property (weak, nonatomic) id
   <FTSFlipsideViewControllerDelegate> delegate;

@property (strong, nonatomic) NSURL *searchURL; // search to perform

- (IBAction)done:(id)sender; // called when user touches Done button

@end // FTSFlipsideViewController interface



/**************************************************************************
 * (C) Copyright 2013 by Deitel & Associates, Inc. All Rights Reserved.   *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *                                                                        *
 * As a user of the book, Deitel & Associates, Inc. grants you the        *
 * nonexclusive right to copy, distribute, display the code, and create   *
 * derivative apps based on the code. You must attribute the code to      *
 * Deitel & Associates, Inc. and reference the book's web page at         *
 * www.deitel.com/books/iosfp2/. If you have any questions, please email  *
 * at deitel@deitel.com.                                                  *
 *************************************************************************/
